# norootforbuild

Name:           libmuparser0
Summary:        A fast math parser library 
Version:        1.34
Release:        0.pm.2.1
License:        MIT
Group:          Productivity/Scientific/Math
Source:         muparser_v134.tar.bz2
#Patch1:         muparser-destdir.patch
Patch2:         muparser-optflags.patch
#Patch3:         muparser-version.patch
Patch4:         muparser-prereq.patch
BuildRequires:  gcc-c++
%if 0%{?suse_version}
BuildRequires:  pkg-config
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Many applications require the parsing of mathematical expressions. The main
objective of this library is to provide a fast and easy way of doing this.
muParser is an extensible high performance math parser library written in
C++. It works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

The library is written in pure C++ and should compile on every standard
compliant compiler. The parser archive comes with projects for a variety of
platforms. The code runs on 32 bit and 64 bit architechture and has been
tested using MS VC++ V8.0 and GCC V4.2.4. It reportedly works on BCB too.
Code samples are provided in order to help you understand its usage. The
library is open source and distributed under the MIT license.


Author:
-------
    Ingo Berg

%package devel
Summary:      A fast math parser library (development files)
Group:        Development/Libraries/C and C++
Requires:     %name = %version

%description devel
Development files for %name - the fast parser library.

You need this package to develop applications using the %name library.

Author:
-------
    Ingo Berg


%prep
%setup -n muparser_v134
#%patch1 -p0
%patch2 -p1
#%patch3 -p1
%patch4 -p1

%build
export CXXFLAGS="%optflags" \
export CPPFLAGS="%optflags" \
%configure --enable-samples \
           --enable-shared 
           
make %{?jobs:-j%jobs}

%install
%makeinstall
mv docs/html .
for file in *.txt $(find html/ -type f); do
	if [ -f $file ]; then
    chmod 644 $file
		sed -i "s|
||" $file
	fi
done

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changes.txt Credits.txt License.txt
%_libdir/libmuparser.so.0
%_libdir/libmuparser.so.0.0.0

%files devel
%defattr(-,root,root)
%doc html
%_includedir/muParser*.h
%_libdir/libmuparser.so
%_libdir/pkgconfig/muparser.pc

%changelog
* Wed Nov 10 2010 aeszter@gwdg.de
- update to 1.34
* Tue Nov 17 2009 aeszter@gwdg.de
- fix parallel build
* Sun Aug 30 2009 lars@linux-schulserver.de
- build for openSUSE-Education
* Thu Apr  2 2009 uli@suse.de
- initial package
